Subject: Re: locking clarifications/extensions vs BIND draft vs RFC2518bis

From: Geoffrey M Clemm <[email-masked]>
Date: Mon, 2 Feb 2004 09:24:09 -0500

Julian wrote on 01/16/2004 03:00:17 PM:

> Jason wrote in an off-list mail:
>  > ... But I think it's fine, and in fact advisible,
>  > to establish the basic vocabulary of bindings in 2518 and let
>  > the bindings draft just cover the optional issues and
>  > clarifications for bindings and multiple bindings.
> 
> I do agree that RFC2518bis *should* remove any inconsistencies with 
> BIND, where present. Note that one major problem was the definition for 
> DELETE, which (in RFC2518) required to remove all other bindings to the 
> resource as well. AFAIK, this has been fixed in RFC2518bis.
> 
> So besides the fact that RFC2518bis talks about "internal members" 
> rather than bindings, I'm not really sure that anything *needs* to be 
> fixed. Geoff?

It probably is worth making a pass through 2518bis to make sure that
all the language that deals with internal members is compatible with
bind semantics, but I didn't find any problems of that sort last time
I read through 2518bis (but I wasn't specifically looking for that, so
I could have missed something).

Cheers,
Geoff